Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceOperAccountType

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.bgbilling.modules.voice.common.bean.VoiceAccountTypeAbstract
ru.bitel.bgbilling.modules.voice.common.bean.VoiceOperAccountType

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class VoiceOperAccountType
    extends VoiceAccountTypeAbstract

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.modules.voice.common.bean.VoiceAccountTypeAbstract

  `isOperator`

  ### Fields inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `entitySpecId`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `VoiceOperAccountType()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `isNeedFromPorts()` |
  `boolean` | `isNeedNoRegexpA()` |
  `boolean` | `isNeedNoRegexpB()` |
  `boolean` | `isNeedRegexpA()` |
  `boolean` | `isNeedRegexpB()` |
  `boolean` | `isNeedRegexpFromPorts()` |
  `boolean` | `isNeedRegexpToPorts()` |
  `boolean` | `isNeedToPorts()` |
  `void` | `setNeedFromPorts​(boolean needFromPorts)` |
  `void` | `setNeedNoRegexpA​(boolean needNoRegexpA)` |
  `void` | `setNeedNoRegexpB​(boolean needNoRegexpB)` |
  `void` | `setNeedRegexpA​(boolean needRegexpA)` |
  `void` | `setNeedRegexpB​(boolean needRegexpB)` |
  `void` | `setNeedRegexpFromPorts​(boolean needRegexpFromPorts)` |
  `void` | `setNeedRegexpToPorts​(boolean needRegexpToPorts)` |
  `void` | `setNeedToPorts​(boolean needToPorts)` |

  ### Methods inherited from class ru.bitel.bgbilling.modules.voice.common.bean.VoiceAccountTypeAbstract

  `getConfig, isOperator, setConfig`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### VoiceOperAccountType

    public VoiceOperAccountType()

- ## Method Details

  - ### isNeedRegexpFromPorts

    public boolean isNeedRegexpFromPorts()

  - ### setNeedRegexpFromPorts

    public void setNeedRegexpFromPorts​(boolean needRegexpFromPorts)

  - ### isNeedRegexpToPorts

    public boolean isNeedRegexpToPorts()

  - ### setNeedRegexpToPorts

    public void setNeedRegexpToPorts​(boolean needRegexpToPorts)

  - ### isNeedRegexpA

    public boolean isNeedRegexpA()

  - ### setNeedRegexpA

    public void setNeedRegexpA​(boolean needRegexpA)

  - ### isNeedNoRegexpA

    public boolean isNeedNoRegexpA()

  - ### setNeedNoRegexpA

    public void setNeedNoRegexpA​(boolean needNoRegexpA)

  - ### isNeedRegexpB

    public boolean isNeedRegexpB()

  - ### setNeedRegexpB

    public void setNeedRegexpB​(boolean needRegexpB)

  - ### isNeedNoRegexpB

    public boolean isNeedNoRegexpB()

  - ### setNeedNoRegexpB

    public void setNeedNoRegexpB​(boolean needNoRegexpB)

  - ### isNeedFromPorts

    public boolean isNeedFromPorts()

  - ### setNeedFromPorts

    public void setNeedFromPorts​(boolean needFromPorts)

  - ### isNeedToPorts

    public boolean isNeedToPorts()

  - ### setNeedToPorts

    public void setNeedToPorts​(boolean needToPorts)